2013-09-05 181 views
3

我試圖啓動Android工作室的第一次,但得到錯誤後,啓動Android工作室下面提到無法安裝

enter image description here

可能有人請讓我知道如何解決這個問題?

+0

你導入從日食的一個項目? – Dyna

回答

1

您需要設置您的JAVA_HOME路徑,這將允許Android Studio運行。你做到了嗎?
這裏是如何做到這一點:

  1. 右鍵點擊你的電腦圖標,然後單擊屬性
  2. Windows 8用戶:然後點擊高級系統設置,以你的左邊。
  3. 現在,到高級選項卡,單擊環境變量,下 系統變量,單擊新建,並添加一個JAVA_HOME變量,它應該 像this(相對於你的JDK版本,如果最新的 它應該是相同)。

如果您已經擁有了覆蓋我發現了一個解決方案here,可以幫助你:

  1. 轉到您的AndroidStudio目錄下安裝你的工作室就像D:\User\AndroidStudio
  2. AndroidStudio\AndroidStudio\plugins\gradle\lib和複製gradle.jar
  3. 將此gradle.jar文件粘貼到\AndroidStudio\lib目錄。
  4. 直接下載的gradle從Gradle
  5. 複製的gradle-1.7-bin.zip內容 - 解壓壓縮文件後 - (bin, media, init.d, lib folders)\AndroidStudio\plugins\gradle
  6. 重啓AndroidStudio
+0

Dyna - 謝謝你的幫助。按照上述步驟操作後,拋出錯誤「org.jetbrains.plugins.gradle.settings.GradleSettings無法轉換爲org.jetbrains.plugins.gradle.settings.GradleSettings」。 – Sudhir

+0

看到這個@Sudhir:http://stackoverflow.com/a/16661028/1182971 – Dyna

0

http://developer.android.com/sdk/installing/studio.html#Troubleshooting

滾動至底部。

故障排除

圖1.打開現有項目時的錯誤對話框。

錯誤:搖籃項目刷新失敗

的Android 0.2.0工作室更新了搖籃插件到0.5.0,這是不向後兼容。當打開使用舊版本插件的項目時,Studio將在IDE的右上角顯示圖1所示的錯誤。要解決該錯誤,您必須將Android Gradle插件的版本更改爲0.5.0。

單擊錯誤對話框中的鏈接在build.gradle文件中搜索。如果該對話框不再可見,請單擊IDE右下角的事件日誌,然後單擊在build.gradle文件中搜索。 雙擊build.gradle用法下的行。例如:classpath'com.android.tools.build:gradle:0.4。這將打開項目build.gradle文件。 編輯類路徑以將gradle版本更改爲0.5。+。例如: enter code here依賴{ enter code here類路徑 'com.android.tools.build:gradle:0.5.+' enter code here}